//
// Implementace main funkce pro Linux.
// Pouv knihovnu SoQt.
//



#include <Inventor/Qt/SoQt.h>
#include <Inventor/Qt/viewers/SoQtExaminerViewer.h>
#include <Inventor/nodes/SoSeparator.h>

extern SoSeparator* createScene(int argc, char **argv);
extern const char *appTitle;
extern bool headlight;



int main(int argc, char **argv)
{
  // Inicializuj Inventor
  QWidget *window = SoQt::init(argv[0]);
  if (window == NULL) exit(1);

  // Vytvo koen scny
  SoSeparator *root = createScene(argc, argv);
  root->ref();

  // Vytvo okno prohlee
  SoQtExaminerViewer *viewer = new SoQtExaminerViewer(window);
  viewer->setSceneGraph(root);
  viewer->setHeadlight(headlight);
  viewer->setTitle(appTitle);
  viewer->show();

  // Zobraz okna a rozje renderovac smyku
  SoQt::show(window);
  SoQt::mainLoop();

  // Uvolni pam
  delete viewer;
  root->unref();

  return 0;
}
