//
// Implementace main funkce pro Windows.
// Pouv knihovnu SoWin.
//



#include <Inventor/Win/SoWin.h>
#include <Inventor/Win/viewers/SoWinExaminerViewer.h>
#include <Inventor/nodes/SoSeparator.h>


// Pro linker: Budeme linkovat s main,
// nikoliv WinMain, jak je na Windows zvykem
#pragma comment(linker, "/entry:\"mainCRTStartup\"")


extern SoSeparator* createScene(int argc, char **argv);
extern const char *appTitle;
extern bool headlight;


int main(int argc, char **argv)
{
  // Inicializuj Inventor
  HWND window = SoWin::init(argv[0]);
  if (window == NULL) exit(1);

  // Vytvo koen scny
  SoSeparator *root = createScene(argc, argv);
  root->ref();

  // Vytvo okno prohlee
  SoWinExaminerViewer *viewer = new SoWinExaminerViewer(window);
  viewer->setSceneGraph(root);
  viewer->setHeadlight(headlight);
  viewer->setTitle(appTitle);
  viewer->show();

  // Zobraz okna a rozje renderovac smyku
  SoWin::show(window);
  SoWin::mainLoop();

  // Uvolni pam
  delete viewer;
  root->unref();

  return 0;
}
